Draft Offset/es: Difference between revisions

From FreeCAD Documentation
(Created page with "* Presiona {{KEY|T}} o selecciona la casilla para activar/desactivar el botón {{KEY|'''Continuar'''}}. Si el modo continuar está activado, la herramienta equidistancia se re...")
(Created page with "==Programación==")
Line 21: Line 21:
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.


==Scripting==
==Programación==


The Offset tool can by used in [[macros]] and from the python console by using the following function:
The Offset tool can by used in [[macros]] and from the python console by using the following function:

Revision as of 15:58, 13 February 2014

Draft Offset

Ubicación en el Menú
Croquis -> Equidistancia
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
O S
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el plano de trabajo actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.

Utilización

  1. Selecciona los objetos a los que quieras crear una equidistancia
  2. Presiona el botón Equidistancia, o presiona las teclas O y S
  3. Designa un punto en la vista 3D, o escribe una distancia

Opciones

  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta equidistancia se reiniciará al terminar permitiendo hacer otra equidistancia o copiar objetos de nuevo sin necesidad de volver a presionar el botón de equidistancia.
  • Presionando ALT o C o seleccionando el botón Copiar se creará una copia de los objetos, en lugar de moverlos. Si mantienes presionada la tecla ALT después de seleccionar el segundo punto, podrás hacer más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la posición de ajuste más cercana, independientemente de la distancia.
  • Presionando SHIFT se restringirá al segmento actual en lugar de seleccionar el más cercano.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.

Programación

The Offset tool can by used in macros and from the python console by using the following function:

 offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

 import FreeCAD,Draft
 Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))